## Outward SideLoader

The Outward SideLoader is an API and a mod development toolkit for creating and editing custom content.

Please view the **[SideLoader Docs](https://sinai-dev.github.io/OSLDocs/#/)** for full documentation on SideLoader.

### Latest changes

#### 3.3.12

* Fixed an issue with the effects on `Reference`-mode StatusEffects.

#### 3.3.11

* Fixed an issue which could result in StatusEffects not being serialized (exported) properly.

#### 3.3.10

* Fixed a mistake which could cause the setup process to encounter a fatal exception

#### 3.3.9

* Fixed an oversight which could lead to dependency conflicts between custom items (`ItemExtension`s are now applied later in the setup process)
* `SL_StatusEffect` and `SL_ImbueEffect` now support negative Preset IDs.
* Relaxed the localization patching, developed a non-patching approach to set item names and descriptions

### Basic overview
The main features of SideLoader are:

* Helpers for loading custom asset files, either in AssetBundles or directly from .png and .wav files, etc
* Expansive API for editing and creating custom content including Items, Characters, Statuses, etc
* C#-specific API for additional tools and helpers such as Custom Keybindings, etc

### Installation (manual)

For a manual installation, do the following

1. Create the folder(s): `Outward\BepInEx\plugins\SideLoader\`.
2. Extract the archive into a folder. **Do not extract into the Outward game folder.**
3. Move the contents of the `plugins\` folder from the archive into the `BepInEx\plugins\SideLoader` folder you created.
3. It should look like `Outward\BepInEx\plugins\SideLoader\SideLoader.dll`, etc
4. Launch the game, you should see a new keybinding in your in-game keybindings for the SideLoader menu.